# Uses of Interface
org.osgi.framework.wiring.BundleWire

Packages that use BundleWire
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.apache.felix.framework.wiring
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of BundleWire in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type BundleWire
Modifier and Type
Method
Description
`List<BundleWire>`
BundleWiringImpl.`getProvidedWires(String namespace)`
`List<BundleWire>`
BundleWiringImpl.`getRequiredWires(String namespace)`
Methods in org.apache.felix.framework with parameters of type BundleWire
Modifier and Type
Method
Description
`void`
BundleWiringImpl.`addDynamicWire(BundleWire wire)`

## Uses of BundleWire in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return BundleWire
Modifier and Type
Method
Description
`static BundleWire`
Util.`getWire(BundleRevision br, String name)`

## Uses of BundleWire in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement BundleWire
Modifier and Type
Class
Description
`class`
`BundleWireImpl`

## Uses of BundleWire in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return types with arguments of type BundleWire
Modifier and Type
Method
Description
`List<BundleWire>`
BundleWiring.`getProvidedWires(String namespace)`
Returns the `BundleWire`s to the provided `capabilities` of this bundle wiring.
`List<BundleWire>`
BundleWiring.`getRequiredWires(String namespace)`
Returns the `BundleWire`s to the `requirements` in use by this bundle wiring.